import request from '@/utils/request'

// 查询入群欢迎语管理列表
export function listWelcome(query) {
  return request({
    url: '/qw/welcome/list',
    method: 'get',
    params: query
  })
}

// 查询入群欢迎语管理详细
export function getWelcome(welcomeId) {
  return request({
    url: '/qw/welcome/' + welcomeId,
    method: 'get'
  })
}

// 新增入群欢迎语管理
export function addWelcome(data) {
  return request({
    url: '/qw/welcome',
    method: 'post',
    data: data,
  })
}

// 修改入群欢迎语管理
export function updateWelcome(data) {
  return request({
    url: '/qw/welcome',
    method: 'put',
    data: data
  })
}

// 删除入群欢迎语管理
export function delWelcome(welcomeId,templateId) {
  return request({
    url: '/qw/welcome/' + welcomeId,
    method: 'delete',
    params:{templateId:templateId}
  })
}

// 导出入群欢迎语管理
export function exportWelcome(query) {
  return request({
    url: '/qw/welcome/export',
    method: 'get',
    params: query
  })
}
